Check out Sunborn's two newly announced games (official English titles pending): Girls' Frontline: Blue Butterfly Contract and Reverse Collapse: F !
You don't need an account to join in. Learn how to contribute, browse Bounties and join our Discord server.

MediaWiki:Mobile.css: Difference between revisions

Welcome to IOP Wiki. This website is maintained by the Girls' Frontline community and is free to edit by anyone.
Jump to navigation Jump to search
Pianoforte (talk | contribs)
Created page with "CSS placed here will affect users of the mobile site: For the background images on T-Doll pages: .bg-character { display: none; } .bg-rarity { display: none; }"
 
Pianoforte (talk | contribs)
mNo edit summary
Line 7: Line 7:
.bg-rarity {
.bg-rarity {
     display: none;
     display: none;
}
/* CSS placed here will be applied to all skins */
/*Mainpage no Title*/
body.page-Main_Page.action-view h1.firstHeading, body.page-Main_Page.action-submit h1.firstHeading { display: none; }
/*Page Background*/
body {
background-image: url("http://gfwiki.com/images/c/c9/Logo.png"),url("http://gfwiki.com/images/6/6f/Proto-BG.jpg");
background-repeat: no-repeat;
background-attachment: scroll, fixed;
background-position: 1em 200px,left top;
background-size: auto, cover;
}
/* logo */
div#mw-panel {top:360px; background: rgba(250,250,250,0.6);}
#mw-panel #p-logo .mw-wiki-logo {
    background-image: none;
    background-color: transparent;
    width: 176px;
    height: 199px;
}
/* header */
div#mw-page-base {
    background: none;
    height: 200px;
    background-image: url(http://gfwiki.com/images/a/a6/Header.png), url(http://gfwiki.com/images/7/7b/Bannerbg.png);
    background-position: center,top;
    background-repeat: no-repeat,repeat-x;
    background-size: auto 200px;
}
/* For the background images on T-Doll pages */
.bg-character {
    display: none;
}
.bg-rarity {
    display: none;
}
/*For Template:DollBG on t-doll pages*/
#bg-character {
    position: fixed;
    height: 1280px;
    min-height:500px;
    top:10%;
    left:0;
    z-index: -2;
}
#bg-rarity {
    position: fixed;
    top:15%;
    right:5%;
    z-index: -3;
    width:650px;
}
/*image*/
div.thumbinner {
    border: 0;
    background-color: rgba(250,250,250,0.6);
}
/*For construction tables*/
@media only screen and (min-width: 1280px) {
.variable-columns {
-ms-column-count: 3;
-moz-column-count: 3;
-webkit-column-count: 3;
column-count: 3;
}
}
@media only screen and (min-width: 900px) and (max-width: 1279px) {
.variable-columns {
-ms-column-count: 2;
-moz-column-count: 2;
-webkit-column-count: 2;
column-count: 2;
}
}
@media only screen and (max-width: 899px) {
.variable-columns {
-ms-column-count: 1;
-moz-column-count: 1;
-webkit-column-count: 1;
column-count: 1;
}
}
@media only screen and (max-width: 799px) {
div#mw-panel {display:none;}
div#left-navigation{margin-left:1em;}
.mw-body {margin-left:1em;}
}
/* Navigation Tab*/
div.vectorTabs ul li,
#p-variants,
#p-cactions {
    background-image: none;
    background-color: rgba(63,63,63,0.3); }
#p-cactions:hover {
    background-image: none;
    background-color: rgba(63,63,63,0.6); }
div.vectorTabs li:hover {
    background-image: none;
    background-color: rgba(63,63,63,0.6); }
div.vectorTabs li.selected {
    background-image: none;
    background-color: rgba(63,63,63,0.9);
}
div.vectorMenu div.menu {
    background-color: rgba(255,255,255,0.3);
    border:none;
left:0px;
}
div.vectorMenu div.menu a:hover {
    background-color: rgba(255,255,255,0.6);
}
#p-variants-label,
div.vectorTabs,
div.vectorTabs span,
div.vectorTabs ul,
div#mw-head div.vectorMenu h3 {
    background-image: none;
    padding-left:0px;
}
#left-navigation,
#right-navigation {
    margin-top: 159px;
}
/*personal*/
#p-personal {
    background-color: rgba(255,255,255,0.9);
    padding-top: 5px;
    padding-bottom: 5px;
    padding-right: 10px;
}
#p-personal ul {padding-left: 0em;}
/*              Content              */
/* system        */
/*Editing box*/
.mw-highlight{
text-shadow:none;
}
/*Editing options*/
.editOptions {
    background-color: rgba(0,0,0,0.4);
    border: none;
    border-top: none;
}
#pagehistory li.selected {
    background-color: rgba(0,0,0,0.4);
    border:none;
}
ul#filetoc {
    background-color: rgba(0,0,0,0.4);
    border:none;
}
table.mw_metadata {
    color: black;
    text-shadow: none;
}
.catlinks {
    border: none;
    background-color: rgba(0,0,0,0.4);
}
.mw-datatable, .mw-datatable td, .mw-datatable th {
    text-shadow: none;
    color: black;
}
.mw-search-profile-tabs{text-shadow:none;}
.wikiEditor-ui .wikiEditor-ui-view {text-shadow:none;color:black;}
/* floatright */
div.floatright, table.floatright {margin: 0;}
/* floatleft */
div.floatleft, table.floatleft {margin: 0;}
/* Content body*/
.mw-body {
    background-color: rgba(63,63,63,0.9);
    border:none;
    color: rgba(250,250,250,1);
    text-shadow: 2px 2px 2px black;
    margin-right:1em;
}
/* Header color*/
h1, h2, h3, h4, h5, h6 {
    color: white;
}
/* Table of Contents */
#toc, .toc, .mw-warning, .toccolours {
    border: 1px solid #aaa;
    background-color: rgba(0,0,0,0.6);
}
/* standard link colors */
.mw-body a { color: #f0b000; } /* normal unvisited links */
.mw-body a.external  { color: #f0b000; } /* normal unvisited links */
.mw-body a:visited, .mw-body a.external:visited { color: #ba8900; } /* visited links */
.mw-body a.new { color: #DD0000; } /* new links */
/* Tables */
.gf-table th {
color: white;
font-size: 110%;
background-color: #f0b000;
text-align: center;
vertical-align: top;
padding: 5px;
}
.gf-table td {
background-color: transparent;
color: white;
background: rgba(0, 0, 0, 0.6);
vertical-align: top;
padding: 5px;
}
/* system */
table.wikitable, pre, code, tt, kbd, samp, .mw-code {
    text-shadow:none;
}
div.vectorTabs li.selected a, div.vectorTabs li.selected a:visited {color: #FFFFFF;text-shadow: 2px 2px 2px black;}
div.vectorTabs li.new a, div.vectorTabs li.new a:visited {color: #4d4d4d;}
div.vectorTabs li a {color: #4d4d4d;}
/*              tabs                */
ul.tabbernav {border-bottom:none;margin-top: 0.4em;}
/* tab body*/
.tabber .tabbertab {
    padding: 5px;
    border: none;
    /*border-top: 0;*/
    background-color: rgba(200,200,200,0.6);
}
/* active tab */
ul.tabbernav li.tabberactive a, ul.tabbernav li.tabberactive a:link {
    background-color: rgba(200,200,200,0.6);
    border: none;
    color: white;
    font-weight: bold;
}
ul.tabbernav li.tabberactive a:hover {
    background-color: rgba(200,200,200,0.6);
    border: none;
    color: white;
    font-weight: bold;
}
/* inactive tab */
ul.tabbernav li a:link {
    color: white;
    font-weight: normal;
    font-size: 110%;
    background-color:rgba(200,200,200,0.2);
    border:none;
    padding-top: 0.5em;
}
ul.tabbernav li a:hover {background-color: rgba(200,200,200,0.3);}
/*                    main page                    */
/* fading effects*/
.hover-button {
    -moz-transition: all .2s ease-in;
    -o-transition: all .2s ease-in;
    -webkit-transition: all .2s ease-in;
    transition: all .2s ease-in;
opacity:0.75;
}
.hover-button:hover {
opacity:1;
}
.hover-button50 {
    -moz-transition: all .2s ease-in;
    -o-transition: all .2s ease-in;
    -webkit-transition: all .2s ease-in;
    transition: all .2s ease-in;
opacity:0.5;
}
.hover-button50:hover {
opacity:1;
}
@media screen and (min-width: 0px)
.rightcol, .leftcol {
    max-width: 800px;
width:100%;
margin-left:auto;
margin-right:auto;
}
.leftcol {
max-width: 800px;
width:100%;
    float: left;
    position: relative;
    right:0;
    margin-bottom:5px;
}
.rightcol{
float:left;
height:auto;
}
#timerwidgets{float:left}
.test{
/*line-height:1.2 !important; MediaWiki resizes line height, destroying placements.*/
margin-left:auto;
margin-right:auto; /*Mediawiki max space for 1080p is some 1600px*/
    padding:0;
}
/* small screen less than 800px content width*/
@media only screen and (max-width: 1040px) {
.test{
/*line-height:1.2 !important; MediaWiki resizes line height, destroying placements.*/
width:100%;
}
#timerwidgets{width:240px;float:left;}
#twitterbox{width:auto;margin-left:245px;}
#twitter-widget-0{height:274px!important;}
}
/* over 800px, not resize for page necessary*/
@media only screen and (min-width: 1040px) {
.test{
width:800px;
height:auto;
}
#timerwidgets{width:345px;float:left;}
#twitterbox{width:450px;float:left;margin-left:5px;}
#twitter-widget-0{height:379px!important;}
}
@media only screen and (min-width: 1480px) {
.test{
/*line-height:1.2 !important; MediaWiki resizes line height, destroying placements.*/
    width:-moz-fit-content;
    width:-webkit-fit-content;
    width:-ms-fit-content;
}
.rightcol{width:360px;margin-left:2em;}
#timerwidgets{width:360px;}
#twitterbox{width:360px;margin-left:0px;}
}
@media only screen and (min-width: 1600px) {
.rightcol{width:480px;}
#timerwidgets{width:235px;}
#twitterbox{width:240px;margin-left:5px;}
#twitter-widget-0{height:269px!important;}
}
@media only screen and (min-width: 1720px) {
.rightcol{width:600px;}
#timerwidgets{width:295px;}
#twitterbox{width:300px;}
#twitter-widget-0{height:329px!important;}
}
.homepage-panel{
background-color: rgba(150,150,150,0.8);
border: rgb(150,150,150);
border-width: 0.25em;
border-style: solid;
box-shadow: 0px 0px 10px #000;
}
#aboutgame{
padding:0.5em;
background-color: rgba(150,150,150,0.8);
border: rgb(150,150,150);
border-width: 0.25em;
border-style: solid;
box-shadow: 0px 0px 10px #000;
background-image:url("http://gfwiki.com/images/1/10/Aboutgame.png");
background-repeat: no-repeat;
background-position: -1.5em -0.2em,left top;
overflow:hidden;
}
#mainmenu{
background-image:url("http://gfwiki.com/images/8/86/BG_homescreen.jpg");
background-repeat: no-repeat;
background-size: cover;
margin-top:5px;
max-width:800px;
height:450px;
position:relative;
border: rgb(150,150,150);
border-width: 0.25em;
border-style: solid;
box-shadow: 0px 0px 10px #000
}
#updates{
background-image: url("http://gfwiki.com/images/thumb/c/c6/BG_research.png/395px-BG_research.png");
background-repeat: no-repeat;
background-size: cover;
width:360px;
width:auto;
border: rgb(150,150,150);
border-width: 0.25em;
border-style: solid;
box-shadow: 0px 0px 10px #000;
margin-bottom:5px;
}
.dropdown {
    position: relative;
    display: inline-block;
}
.dropdown-content {
    display: none;
    position: absolute;
    z-index:3;
    box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
}
.dropdown-content a {
    text-decoration: none;
    display: block;
    -moz-transition: all .2s ease-in;
    -o-transition: all .2s ease-in;
    -webkit-transition: all .2s ease-in;
    transition: all .2s ease-in;
}
.dropdown-content a:hover {opacity:0;}
.dropdown:hover .dropdown-content {
    bottom: 100%;
    display: block;
    left:1em;
}
}

Revision as of 05:57, 1 October 2016

/* CSS placed here will affect users of the mobile site */
/* For the background images on T-Doll pages */
.bg-character {
    display: none;
}

.bg-rarity {
    display: none;
}

/* CSS placed here will be applied to all skins */

/*Mainpage no Title*/
body.page-Main_Page.action-view h1.firstHeading, body.page-Main_Page.action-submit h1.firstHeading { display: none; }

/*Page Background*/
body {
	background-image: url("http://gfwiki.com/images/c/c9/Logo.png"),url("http://gfwiki.com/images/6/6f/Proto-BG.jpg");
	background-repeat: no-repeat;
	background-attachment: scroll, fixed;
	background-position: 1em 200px,left top;
	background-size: auto, cover;
}





/* logo */
div#mw-panel {top:360px; background: rgba(250,250,250,0.6);}

#mw-panel #p-logo .mw-wiki-logo {
    background-image: none;
    background-color: transparent;
    width: 176px;
    height: 199px;
}


/* header */

div#mw-page-base {
    background: none;
    height: 200px;
    background-image: url(http://gfwiki.com/images/a/a6/Header.png), url(http://gfwiki.com/images/7/7b/Bannerbg.png);
    background-position: center,top;
    background-repeat: no-repeat,repeat-x;
    background-size: auto 200px;
}


/* For the background images on T-Doll pages */
.bg-character {
    display: none;
}

.bg-rarity {
    display: none;
}

/*For Template:DollBG on t-doll pages*/
#bg-character {
    position: fixed;
    height: 1280px;
    min-height:500px;
    top:10%;
    left:0;
    z-index: -2;
}

#bg-rarity {
    position: fixed;
    top:15%;
    right:5%;
    z-index: -3;
    width:650px;
}



/*image*/

div.thumbinner {
    border: 0;
    background-color: rgba(250,250,250,0.6);
}


/*For construction tables*/
@media only screen and (min-width: 1280px) {
	.variable-columns {
		-ms-column-count: 3;
		-moz-column-count: 3;
		-webkit-column-count: 3;
		column-count: 3;
	}
}

@media only screen and (min-width: 900px) and (max-width: 1279px) {
		.variable-columns {
		-ms-column-count: 2;
		-moz-column-count: 2;
		-webkit-column-count: 2;
		column-count: 2;
	}
}

@media only screen and (max-width: 899px) {
	.variable-columns {
		-ms-column-count: 1;
		-moz-column-count: 1;
		-webkit-column-count: 1;
		column-count: 1;
	}
}

@media only screen and (max-width: 799px) {
	div#mw-panel {display:none;}
	div#left-navigation{margin-left:1em;}
	.mw-body {margin-left:1em;}
}



/* Navigation Tab*/
div.vectorTabs ul li, 
#p-variants, 
#p-cactions { 
    background-image: none; 
    background-color: rgba(63,63,63,0.3); } 

#p-cactions:hover { 
    background-image: none; 
    background-color: rgba(63,63,63,0.6); } 

div.vectorTabs li:hover { 
    background-image: none; 
    background-color: rgba(63,63,63,0.6); } 

div.vectorTabs li.selected { 
    background-image: none; 
    background-color: rgba(63,63,63,0.9);
} 



div.vectorMenu div.menu {
    background-color: rgba(255,255,255,0.3);
    border:none;
left:0px;
}

div.vectorMenu div.menu a:hover {
    background-color: rgba(255,255,255,0.6);
}



#p-variants-label, 
div.vectorTabs, 
div.vectorTabs span, 
div.vectorTabs ul, 
div#mw-head div.vectorMenu h3 { 
    background-image: none; 
    padding-left:0px;
}






#left-navigation,
#right-navigation {
    margin-top: 159px;
}



/*personal*/

#p-personal {
    background-color: rgba(255,255,255,0.9);
    padding-top: 5px;
    padding-bottom: 5px;
    padding-right: 10px;
}
#p-personal ul {padding-left: 0em;}




/*              Content               */

/* system         */
/*Editing box*/
.mw-highlight{
text-shadow:none;
}
/*Editing options*/
.editOptions {
    background-color: rgba(0,0,0,0.4);
    border: none;
    border-top: none;
}
#pagehistory li.selected {
    background-color: rgba(0,0,0,0.4);
    border:none;
}
ul#filetoc {
    background-color: rgba(0,0,0,0.4);
    border:none;
}

table.mw_metadata {
    color: black;
    text-shadow: none;
}

.catlinks {
    border: none;
    background-color: rgba(0,0,0,0.4);
}

.mw-datatable, .mw-datatable td, .mw-datatable th {
    text-shadow: none;
    color: black;
}

.mw-search-profile-tabs{text-shadow:none;}

.wikiEditor-ui .wikiEditor-ui-view {text-shadow:none;color:black;}



/* floatright */
div.floatright, table.floatright {margin: 0;}
/* floatleft */
div.floatleft, table.floatleft {margin: 0;}


/* Content body*/
.mw-body {
    background-color: rgba(63,63,63,0.9);
    border:none;
    color: rgba(250,250,250,1);
    text-shadow: 2px 2px 2px black;
    margin-right:1em;
}

/* Header color*/
h1, h2, h3, h4, h5, h6 {
    color: white;
}


/* Table of Contents */
#toc, .toc, .mw-warning, .toccolours {
    border: 1px solid #aaa;
    background-color: rgba(0,0,0,0.6);
}


/* standard link colors */
.mw-body a { color: #f0b000; } /* normal unvisited links */
.mw-body a.external  { color: #f0b000; } /* normal unvisited links */
.mw-body a:visited, .mw-body a.external:visited { color: #ba8900; } /* visited links */
.mw-body a.new { color: #DD0000; } /* new links */

/* Tables */
.gf-table th {
	color: white;
	font-size: 110%;
	background-color: #f0b000;
	text-align: center;
	vertical-align: top;
	padding: 5px;
}

.gf-table td {
	background-color: transparent;
	color: white;
	background: rgba(0, 0, 0, 0.6);
	vertical-align: top;
	padding: 5px;
}


/* system */


table.wikitable, pre, code, tt, kbd, samp, .mw-code {
    text-shadow:none;
}

div.vectorTabs li.selected a, div.vectorTabs li.selected a:visited {color: #FFFFFF;text-shadow: 2px 2px 2px black;}
div.vectorTabs li.new a, div.vectorTabs li.new a:visited {color: #4d4d4d;}
div.vectorTabs li a {color: #4d4d4d;}




/*               tabs                 */

ul.tabbernav {border-bottom:none;margin-top: 0.4em;}

/* tab body*/
.tabber .tabbertab {
    padding: 5px;
    border: none;
    /*border-top: 0;*/
    background-color: rgba(200,200,200,0.6);
}

/* active tab */
ul.tabbernav li.tabberactive a, ul.tabbernav li.tabberactive a:link {
    background-color: rgba(200,200,200,0.6);
    border: none;
    color: white;
    font-weight: bold;
}

ul.tabbernav li.tabberactive a:hover {
    background-color: rgba(200,200,200,0.6);
    border: none;
    color: white;
    font-weight: bold;
}


/* inactive tab */
ul.tabbernav li a:link {
    color: white;
    font-weight: normal;
    font-size: 110%;
    background-color:rgba(200,200,200,0.2);
    border:none;
    padding-top: 0.5em;
}
ul.tabbernav li a:hover {background-color: rgba(200,200,200,0.3);}



/*                     main page                    */
/* fading effects*/

.hover-button { 
    -moz-transition: all .2s ease-in;
    -o-transition: all .2s ease-in;
    -webkit-transition: all .2s ease-in;
    transition: all .2s ease-in;
	opacity:0.75;
}

.hover-button:hover { 
	opacity:1;
}

.hover-button50 { 
    -moz-transition: all .2s ease-in;
    -o-transition: all .2s ease-in;
    -webkit-transition: all .2s ease-in;
    transition: all .2s ease-in;
	opacity:0.5;
}

.hover-button50:hover { 
	opacity:1;
}

@media screen and (min-width: 0px)
.rightcol, .leftcol {
    max-width: 800px;
	width:100%;
	margin-left:auto;
	margin-right:auto;
}
.leftcol {
	max-width: 800px;
	width:100%;
    float: left;
    position: relative;
    right:0;
    margin-bottom:5px;
}

.rightcol{
	float:left;
	height:auto;
}

#timerwidgets{float:left}


.test{
	/*line-height:1.2 !important; MediaWiki resizes line height, destroying placements.*/
	margin-left:auto;
	margin-right:auto;	/*Mediawiki max space for 1080p is some 1600px*/
    padding:0;
}

/* small screen less than 800px content width*/
@media only screen and (max-width: 1040px) {
	.test{
		/*line-height:1.2 !important; MediaWiki resizes line height, destroying placements.*/
		width:100%;
	}
	#timerwidgets{width:240px;float:left;}
	#twitterbox{width:auto;margin-left:245px;}
	#twitter-widget-0{height:274px!important;}
}
/* over 800px, not resize for page necessary*/
@media only screen and (min-width: 1040px) {
.test{	
	width:800px;
	height:auto;
}
	#timerwidgets{width:345px;float:left;}
	#twitterbox{width:450px;float:left;margin-left:5px;}
	#twitter-widget-0{height:379px!important;}
}


@media only screen and (min-width: 1480px) {
	.test{
		/*line-height:1.2 !important; MediaWiki resizes line height, destroying placements.*/
	    width:-moz-fit-content;
	    width:-webkit-fit-content;
	    width:-ms-fit-content;
	}
	.rightcol{width:360px;margin-left:2em;}
	#timerwidgets{width:360px;}
	#twitterbox{width:360px;margin-left:0px;}
}

@media only screen and (min-width: 1600px) {
	.rightcol{width:480px;}
	#timerwidgets{width:235px;}
	#twitterbox{width:240px;margin-left:5px;}
	#twitter-widget-0{height:269px!important;}
}

@media only screen and (min-width: 1720px) {
	.rightcol{width:600px;}
	#timerwidgets{width:295px;}
	#twitterbox{width:300px;}
	#twitter-widget-0{height:329px!important;}
}

.homepage-panel{
	background-color: rgba(150,150,150,0.8);
	border: rgb(150,150,150);
	border-width: 0.25em;
	border-style: solid;
	box-shadow: 0px 0px 10px #000;
}

#aboutgame{
	padding:0.5em;
	background-color: rgba(150,150,150,0.8);
	border: rgb(150,150,150);
	border-width: 0.25em;
	border-style: solid;
	box-shadow: 0px 0px 10px #000;
	background-image:url("http://gfwiki.com/images/1/10/Aboutgame.png");
	background-repeat: no-repeat;	
	background-position: -1.5em -0.2em,left top;
	overflow:hidden;
}


#mainmenu{
	background-image:url("http://gfwiki.com/images/8/86/BG_homescreen.jpg");
	background-repeat: no-repeat;
	background-size: cover;
	margin-top:5px;
	max-width:800px;
	height:450px;
	position:relative;
	border: rgb(150,150,150);
	border-width: 0.25em;
	border-style: solid;
	box-shadow: 0px 0px 10px #000
}


#updates{
	background-image: url("http://gfwiki.com/images/thumb/c/c6/BG_research.png/395px-BG_research.png");
	background-repeat: no-repeat;
	background-size: cover;
	width:360px;
	width:auto;
	border: rgb(150,150,150);
	border-width: 0.25em;
	border-style: solid;
	box-shadow: 0px 0px 10px #000;
	margin-bottom:5px;
}


.dropdown {
    position: relative;
    display: inline-block;
}

.dropdown-content {
    display: none;
    position: absolute;
    z-index:3;
    box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
}

.dropdown-content a {
    text-decoration: none;
    display: block;
    -moz-transition: all .2s ease-in;
    -o-transition: all .2s ease-in;
    -webkit-transition: all .2s ease-in;
    transition: all .2s ease-in;
}

.dropdown-content a:hover {opacity:0;}

.dropdown:hover .dropdown-content {
    bottom: 100%;
    display: block;
    left:1em;
}